<div fxLayout="row wrap">
	<div fxFlex="100">
		<mat-card>
			<mat-card-content>
				<div fxLayout="row wrap" class="align-items-center">					
					<div fxFlex.gt-md="50" fxFlex.gt-lg="50" fxFlex="100">
						<mat-form-field>
							<input matInput class="p-b-0" id="nome" placeholder="Nome" [(ngModel)] = "contato.nome" name="nome"/>
						</mat-form-field>
					</div>
				</div>
				<div fxLayout="row wrap" class="align-items-center">					
					<div fxFlex.gt-md="50" fxFlex.gt-lg="50" fxFlex="100">
						<mat-form-field>
							<input matInput class="p-b-0" id="nome" placeholder="Telefone" [(ngModel)] = "contato.telefone" name="telefone"/>
						</mat-form-field>
					</div>
				</div>
				<div fxLayout="row wrap" class="align-items-center">					
					<div fxFlex.gt-md="50" fxFlex.gt-lg="50" fxFlex="100">
						<button mat-raised-button (click) = "addContato()" color="primary">Salvar</button>
					</div>

					<div fxFlex.gt-md="75" class="text-right">						
						
					</div>
				</div>
			</mat-card-content>
		</mat-card>
	</div>

	<div fxFlex="100">
		<mat-card>
			<mat-card-content>
				<mat-card-title>Contatos</mat-card-title>

                <div class="bg-light p-10 p-r-20 p-l-20">
                    <mat-form-field>
                        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filtro">
                    </mat-form-field>
                </div>
                <div class="responsive-table">
                    <mat-table [dataSource]="dataSource" matSort>

                        <!-- ID Column -->
                        <ng-container matColumnDef="id">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> ID </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.id}} </mat-cell>
                        </ng-container>

                        <!-- Nome Column -->
                        <ng-container matColumnDef="nome">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Nome </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.nome}} </mat-cell>
                        </ng-container>

                        <!-- Telefone Column -->
                        <ng-container matColumnDef="telefone">
                            <mat-header-cell *matHeaderCellDef mat-sort-header> Telefone </mat-header-cell>
                            <mat-cell *matCellDef="let row"> {{row.telefone}} </mat-cell>
                        </ng-container>

                        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                        <mat-row *matRowDef="let row; columns: displayedColumns;">
                        </mat-row>
                    </mat-table>

                    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
                </div>

			</mat-card-content>
		</mat-card>
	</div>

</div>


